Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCtBridgeGlobalMBean

public interface WTCtBridgeGlobalMBean
extends ConfigurationMBean

This interface provides access to the WTC tBridge Global configuration attributes. The methods defined herein are applicable for tBridge configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAllowNonStandardTypes()` Gets the allowNonStandardTypes attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getDefaultReplyDeliveryMode()` Gets the defaultReplyDeliveryMode attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getDeliveryModeOverride()` Gets the deliveryModeOverride attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getJmsFactory()` Gets the jmsFactory attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getJmsToTuxPriorityMap()` Gets the jmsToTuxPriorityMap attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getJndiFactory()` Gets the jndiFactory attribute of the WTCtBridgeGlobalMBean object
`int` | `getRetries()` Gets the retries attribute of the WTCtBridgeGlobalMBean object
`int` | `getRetryDelay()` Gets the retryDelay attribute of the WTCtBridgeGlobalMBean object
`int` | `getTimeout()` Gets the timeout attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getTransactional()` Gets the transactional attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getTuxErrorQueue()` Gets the tuxErrorQueue attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getTuxFactory()` Gets the tuxFactory attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getTuxToJmsPriorityMap()` Gets the tuxToJmsPriorityMap attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getUserId()` Gets the userId attribute of the WTCtBridgeGlobalMBean object
`java.lang.String` | `getWlsErrorDestination()` Gets the wlsErrorDestination attribute of the WTCtBridgeGlobalMBean object
`void` | `setAllowNonStandardTypes(java.lang.String AllowNonStandardType)` Defines a flag used to specify if non-standard data types are allowed to pass through the tBridge.
`void` | `setDefaultReplyDeliveryMode(java.lang.String DefaultReplyDeliveryMode)` Defines the reply delivery mode to associate with a message when placing messages onto the target location.
`void` | `setDeliveryModeOverride(java.lang.String DeliveryModeOverride)` Defines the delivery mode to use when placing messages onto the target location.
`void` | `setJmsFactory(java.lang.String JmsFactory)` Defines the name of the JMS connection factory.
`void` | `setJmsToTuxPriorityMap(java.lang.String jms2tuxpmap)` Defines the mapping of priorities from JMS to Tuxedo.
`void` | `setJndiFactory(java.lang.String JndiFactory)` Defines the name of the JNDI lookup factory.
`void` | `setRetries(int Retries)` Defines the number of attempts to redirect a message before putting the message in the specified error location and logging an error.
`void` | `setRetryDelay(int RetryDelay)` Defines the minimum amount of time (milliseconds) to wait before redirecting a message after a failure.
`void` | `setTimeout(int Timeout)` Defines the effective length of a timeout for an entire redirection (seconds) when placing a message on the target location.
`void` | `setTransactional(java.lang.String isTransactional)` Defines a flag that specifies the use of transactions when retrieving messages from a source location and when placing messages on a target location.
`void` | `setTuxErrorQueue(java.lang.String TuxErrorQueue)` Defines the name of the Tuxedo queue used to store a message that cannot be redirected to a Tuxedo/Q source queue.
`void` | `setTuxFactory(java.lang.String TuxFactory)` Defines the name of the Tuxedo connection factory.
`void` | `setTuxToJmsPriorityMap(java.lang.String tux2jmspmap)` Defines the mapping of priorities to map from Tuxedo to JMS.
`void` | `setUserId(java.lang.String UserId)` Defines a user identity for all messages handled by the tBridge for ACL checks when security is configured.
`void` | `setWlsErrorDestination(java.lang.String WlsErrorDestination)` Defines the name of the location used to store WebLogic Server JMS messages when a message cannot be redirected.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setTransactional

    public void setTransactional(java.lang.String isTransactional)
                          throws javax.management.InvalidAttributeValueException

  Defines a flag that specifies the use of transactions when retrieving messages from a source location and when placing messages on a target location.

  - If YES, transactions are used for both operations.
  - If NO, transactions are not used for either operation.

  Note: Transactional is not supported in this release.

  A dynamic MBean attribute
  Default Value: "NO"
  Legal Value: ((value.compareToIgnoreCase("YES")==0) || (value.compareToIgnoreCase("NO")==0))
  Parameters:
    `isTransactional` - whether or not transactions should be used
  Throws:
    javax.management.InvalidAttributeValueException -

### getTransactional

    public java.lang.String getTransactional()

  Gets the transactional attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The transactional value

### setTimeout

    public void setTimeout(int Timeout)
                    throws javax.management.InvalidAttributeValueException

  Defines the effective length of a timeout for an entire redirection (seconds) when placing a message on the target location. 0 indicates an infinite wait.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Secure Value: 60
  Parameters:
    `Timeout` - timeout in seconds if transactions are used
  Throws:
    javax.management.InvalidAttributeValueException -

### getTimeout

    public int getTimeout()

  Gets the timeout attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The timeout value

### setRetries

    public void setRetries(int Retries)
                    throws javax.management.InvalidAttributeValueException

  Defines the number of attempts to redirect a message before putting the message in the specified error location and logging an error.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `Retries` - number of times to try redirecting a message
  Throws:
    javax.management.InvalidAttributeValueException -

### getRetries

    public int getRetries()

  Gets the retries attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The retries value

### setRetryDelay

    public void setRetryDelay(int RetryDelay)
                       throws javax.management.InvalidAttributeValueException

  Defines the minimum amount of time (milliseconds) to wait before redirecting a message after a failure. During this time, no other messages are redirected from the thread. Other threads may continue to redirect messages.

  A dynamic MBean attribute
  Default Value: 10
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `RetryDelay` - time in milliseconds to wait before retrying to redirect a msg
  Throws:
    javax.management.InvalidAttributeValueException -

### getRetryDelay

    public int getRetryDelay()

  Gets the retryDelay attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The retryDelay value

### setWlsErrorDestination

    public void setWlsErrorDestination(java.lang.String WlsErrorDestination)
                                throws javax.management.InvalidAttributeValueException

  Defines the name of the location used to store WebLogic Server JMS messages when a message cannot be redirected.

  - If not specified, all messages not redirected are lost.
  - If the message cannot be placed into `WlsErrorDestination` for any reason, an error is logged and the message is lost.

  A dynamic MBean attribute
  Parameters:
    `WlsErrorDestination` - error destination for JMS msg if redirects fail
  Throws:
    javax.management.InvalidAttributeValueException -

### getWlsErrorDestination

    public java.lang.String getWlsErrorDestination()

  Gets the wlsErrorDestination attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The wlsErrorDestination value

### setTuxErrorQueue

    public void setTuxErrorQueue(java.lang.String TuxErrorQueue)
                          throws javax.management.InvalidAttributeValueException

  Defines the name of the Tuxedo queue used to store a message that cannot be redirected to a Tuxedo/Q source queue. This queue is in the same queue space as the source queue.

  - If not specified, all messages not redirected are lost.
  - If the message cannot be placed into the `TuxErrorQueue`, an error is logged and the message is lost.

  A dynamic MBean attribute
  Parameters:
    `TuxErrorQueue` - error destination for Tux msg if redirects fail
  Throws:
    javax.management.InvalidAttributeValueException -

### getTuxErrorQueue

    public java.lang.String getTuxErrorQueue()

  Gets the tuxErrorQueue attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The tuxErrorQueue value

### setDeliveryModeOverride

    public void setDeliveryModeOverride(java.lang.String DeliveryModeOverride)
                                 throws javax.management.InvalidAttributeValueException

  Defines the delivery mode to use when placing messages onto the target location.

  - Overrides any delivery mode associated with a message.
  - If not specified, the message is placed on the target location with the same delivery mode specified from the source location.

  A dynamic MBean attribute
  Legal Values: "PERSIST","NONPERSIST"
  Parameters:
    `DeliveryModeOverride` - mode for placing messages onto target
  Throws:
    javax.management.InvalidAttributeValueException -

### getDeliveryModeOverride

    public java.lang.String getDeliveryModeOverride()

  Gets the deliveryModeOverride attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The deliveryModeOverride value

### setDefaultReplyDeliveryMode

    public void setDefaultReplyDeliveryMode(java.lang.String DefaultReplyDeliveryMode)
                                     throws javax.management.InvalidAttributeValueException

  Defines the reply delivery mode to associate with a message when placing messages onto the target location.
  - Use when messages are being redirected to Tuxedo/Q from JMS and the `JMS_BEA_TuxGtway_Tuxedo_ReplyDeliveryMode` property is not set for a message.
  - If the `defaultReplyDeliveryMode` and `JMS_BEA_TuxGtway_Tuxedo_ReplyDeliveryMode` are not set, the default semantics defined for Tuxedo are enforced by the Tuxedo/Q subsystem.

  A dynamic MBean attribute
  Legal Values: "PERSIST","NONPERSIST","DEFAULT"
  Parameters:
    `DefaultReplyDeliveryMode` - reply mode for placing messages onto target
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultReplyDeliveryMode

    public java.lang.String getDefaultReplyDeliveryMode()

  Gets the defaultReplyDeliveryMode attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The defaultReplyDeliveryMode value

### setUserId

    public void setUserId(java.lang.String UserId)
                   throws javax.management.InvalidAttributeValueException

  Defines a user identity for all messages handled by the tBridge for ACL checks when security is configured.

  - All messages assume this identity until the security/authentication contexts are passed between the subsystems. Until the security contexts are passed, there is no secure method to identify who generated a message received from the source location.
  - The argument user may be specified as either a user name or a user identification number (uid).

  A dynamic MBean attribute
  Parameters:
    `UserId` - user identification for all messages
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserId

    public java.lang.String getUserId()

  Gets the userId attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The userId value

### setAllowNonStandardTypes

    public void setAllowNonStandardTypes(java.lang.String AllowNonStandardType)
                                  throws javax.management.InvalidAttributeValueException

  Defines a flag used to specify if non-standard data types are allowed to pass through the tBridge. Standard types are: ASCII text (TextMessage, STRING), or BLOB (BytesMessage, CARRAY).

  - NO: Non-standard types are rejected and placed onto a specified error location.
  - YES: Non-standare types are placed on the target location as BLOBs with a tag indicating the original type.

  A dynamic MBean attribute
  Default Value: "NO"
  Legal Value: ((value.compareToIgnoreCase("YES")==0) || (value.compareToIgnoreCase("NO")==0))
  Parameters:
    `AllowNonStandardType` - reply mode for placing messages onto target
  Throws:
    javax.management.InvalidAttributeValueException -

### getAllowNonStandardTypes

    public java.lang.String getAllowNonStandardTypes()

  Gets the allowNonStandardTypes attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The allowNonStandardTypes value

### setJndiFactory

    public void setJndiFactory(java.lang.String JndiFactory)
                        throws javax.management.InvalidAttributeValueException

  Defines the name of the JNDI lookup factory. Example: `weblogic.jndi.WLInitialContextFactory`

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `JndiFactory` - the Name lookup factory
  Throws:
    javax.management.InvalidAttributeValueException -

### getJndiFactory

    public java.lang.String getJndiFactory()

  Gets the jndiFactory attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The jndiFactory value

### setJmsFactory

    public void setJmsFactory(java.lang.String JmsFactory)
                       throws javax.management.InvalidAttributeValueException

  Defines the name of the JMS connection factory. Example: `weblogic.jms.ConnectionFactory`

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `JmsFactory` - the JMS connection factory
  Throws:
    javax.management.InvalidAttributeValueException -

### getJmsFactory

    public java.lang.String getJmsFactory()

  Gets the jmsFactory attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The jmsFactory value

### setTuxFactory

    public void setTuxFactory(java.lang.String TuxFactory)
                       throws javax.management.InvalidAttributeValueException

  Defines the name of the Tuxedo connection factory. Example: `tuxedo.services.TuxedoConnection`

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `TuxFactory` - the Tuxedo connection factory
  Throws:
    javax.management.InvalidAttributeValueException -

### getTuxFactory

    public java.lang.String getTuxFactory()

  Gets the tuxFactory attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The tuxFactory value

### setJmsToTuxPriorityMap

    public void setJmsToTuxPriorityMap(java.lang.String jms2tuxpmap)
                                throws javax.management.InvalidAttributeValueException

  Defines the mapping of priorities from JMS to Tuxedo. The are 10 possible JMS priorities(0=>9) which can be paired to 100 possible Tuxedo priorities(1=>100). A mapping consists of a "|" separated list of value-to-range pairs (jmsvalue:tuxrange) where pairs are separated by ":" and ranges are separated by "-".

  Examples

  0:1 | 1:12 | 2:23 | 3:34 | 4:45 | 5:56 | 6:67 | 7:78 | 8:89 | 9:100

  OR

  0:1-10|1:11-20|2:21-30|3:31-40|4:41-50|5:51-60|6:61-70|7:71-80|8:81-90|9:91-100

  A dynamic MBean attribute
  Parameters:
    `jms2tuxpmap` - list of value-to-range pairs
  Throws:
    javax.management.InvalidAttributeValueException -

### getJmsToTuxPriorityMap

    public java.lang.String getJmsToTuxPriorityMap()

  Gets the jmsToTuxPriorityMap attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The jmsToTuxPriorityMap value

### setTuxToJmsPriorityMap

    public void setTuxToJmsPriorityMap(java.lang.String tux2jmspmap)
                                throws javax.management.InvalidAttributeValueException

  Defines the mapping of priorities to map from Tuxedo to JMS. The are 100 possible Tuxedo priorities(1=>100) which can be paired to 10 possible JMS priorities(0=>9). A mapping consists of a "|" separated list of value-to-range pairs (tuxvalue:jmsrange) where pairs are separated by ":" and ranges are separated by "-".

  Examples:

  1:0 | 12:1 | 23:2 | 34:3 | 45:4 | 56:5 | 67:6 | 78:7 | 89:8 | 100:9

  OR

  20:0-1 | 40:2-3 | 60:4-5 | 80:6-7 | 100:8-9

  A dynamic MBean attribute
  Parameters:
    `tux2jmspmap` - list of range-to-value pairs
  Throws:
    javax.management.InvalidAttributeValueException -

### getTuxToJmsPriorityMap

    public java.lang.String getTuxToJmsPriorityMap()

  Gets the tuxToJmsPriorityMap attribute of the WTCtBridgeGlobalMBean object

  A dynamic MBean attribute
  Returns:
    The tuxToJmsPriorityMap value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD